? work
Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/Makefile,v
retrieving revision 1.63
diff -u -r1.63 Makefile
--- Makefile	19 Feb 2008 18:45:32 -0000	1.63
+++ Makefile	15 Mar 2010 16:48:52 -0000
@@ -1,7 +1,6 @@
 # $NetBSD: Makefile,v 1.63 2008/02/19 18:45:32 jlam Exp $
 
-DISTNAME=	sqwebmail-5.2.0
-PKGREVISION=	2
+DISTNAME=	sqwebmail-5.4.0
 CATEGORIES=	mail www
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=courier/}
 EXTRACT_SUFX=	.tar.bz2
@@ -10,8 +9,8 @@
 COMMENT=	Webmail CGI for access to maildir-style mailboxes
 HOMEPAGE=	http://www.courier-mta.org/sqwebmail/
 
-DEPENDS+=	courier-maildir>=0.58.0:../../mail/courier-maildir
-DEPENDS+=	maildrop>=2.0.4nb3:../../mail/maildrop
+DEPENDS+=	courier-maildir>=${COURIER_VERSION}:../../mail/courier-maildir
+DEPENDS+=	maildrop>=2.4.2:../../mail/maildrop
 
 PKG_DESTDIR_SUPPORT=	user-destdir
 
Index: PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/PLIST,v
retrieving revision 1.10
diff -u -r1.10 PLIST
--- PLIST	14 Jun 2009 18:04:44 -0000	1.10
+++ PLIST	15 Mar 2010 16:48:52 -0000
@@ -5,7 +5,7 @@
 libexec/courier/sqwebpasswd
 libexec/courier/webmail/webmail
 man/man1/mimegpg.1
-sbin/webmaild
+sbin/webmaild.rc
 sbin/webgpg
 share/courier/sqwebmail/cleancache.pl
 share/courier/sqwebmail/html/en
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/distinfo,v
retrieving revision 1.20
diff -u -r1.20 distinfo
--- distinfo	15 Oct 2007 15:38:52 -0000	1.20
+++ distinfo	15 Mar 2010 16:48:52 -0000
@@ -1,11 +1,11 @@
 $NetBSD: distinfo,v 1.20 2007/10/15 15:38:52 jlam Exp $
 
-SHA1 (sqwebmail-5.2.0.tar.bz2) = 3032f673e9033c7d26a30bc50e24f2897e7ea22d
-RMD160 (sqwebmail-5.2.0.tar.bz2) = b0ba837df30605e6f337c3f0b04200d14bd618cc
-Size (sqwebmail-5.2.0.tar.bz2) = 3926342 bytes
-SHA1 (patch-aa) = 1f25c41ecdf0378f8ee57a9531f787c58ed7d37a
-SHA1 (patch-ad) = ae222755e2291636c3d8b9f5328b3001cf713ddc
-SHA1 (patch-ah) = 762491372570553cc00af0e0d5198b728707eccb
-SHA1 (patch-ai) = def2f4d30bf5f15ea78f401f3c4ca2f2ec8c0ad2
-SHA1 (patch-aj) = fe79e0bdec04d29514c77a7110369f1ded76af77
-SHA1 (patch-am) = d5e654e23473fc3ff613020b0ec99f6eba7b99ea
+SHA1 (sqwebmail-5.4.0.tar.bz2) = e341830c3274b601cd9a029724a59e6e5538cca4
+RMD160 (sqwebmail-5.4.0.tar.bz2) = 83de8c5ba549a349861179497671279228954506
+Size (sqwebmail-5.4.0.tar.bz2) = 3897688 bytes
+SHA1 (patch-aa) = 08ac77d19d732cf8a2327d2cb74d76f99783b3c5
+SHA1 (patch-ad) = eaf467a109d4e3b129f9e250eac6b77b0984d2fc
+SHA1 (patch-ah) = 15e4fac76676c68f3da5613c1bb3565daaa78455
+SHA1 (patch-ai) = 86fc9da78fbbcf9bb940c7ef8fa3df2d2517d3d0
+SHA1 (patch-aj) = 7c5c13458d67cd7a5ee310bb07f6842c85df8fe8
+SHA1 (patch-am) = 158203dbb8e71f665c535365c2119700fdebb578
Index: patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/patches/patch-aa,v
retrieving revision 1.9
diff -u -r1.9 patch-aa
--- patches/patch-aa	15 Oct 2007 15:38:52 -0000	1.9
+++ patches/patch-aa	15 Mar 2010 16:48:52 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-aa,v 1.9 2007/10/15 15:38:52 jlam Exp $
 
---- Makefile.in.orig	Sat Sep 29 14:52:57 2007
-+++ Makefile.in
-@@ -244,19 +244,19 @@ EXTRA_DIST = INSTALL.html README NEWS RE
+--- Makefile.in.orig	2009-12-25 22:04:50.000000000 +0000
++++ Makefile.in	2010-03-15 16:21:13.000000000 +0000
+@@ -283,18 +283,19 @@
  
  scriptbindir = $(sbindir)
  scriptbin_SCRIPTS = \
@@ -10,7 +10,6 @@
 +	webmaild.rc
  
 -pkglibPROGRAMS = maildirmake deliverquota reformime makemime pcpd
--pkglibexecdir = $(libexecdir)/sqwebmail
 +pkglibPROGRAMS = pcpd
 +pkglibexecdir = $(libexecdir)/courier
  pkglibexec_PROGRAMS = @pkglibPROGRAMS_exec@
@@ -28,7 +27,7 @@
  @HAVE_HTMLPAGES_TRUE@NEWS_SOURCE = html/index2.html
  all: config.h
  	$(MAKE) $(AM_MAKEFLAGS) all-recursive
-@@ -836,6 +836,9 @@ uninstall-am: uninstall-libexecSCRIPTS u
+@@ -975,6 +976,9 @@
  sqwebmaild.dist: sqwebmail/sqwebmaild.dist
  	cp sqwebmail/sqwebmaild.dist .
  
@@ -38,7 +37,7 @@
  pcpd: pcp/pcpd
  	cp pcp/pcpd .
  
-@@ -871,7 +874,7 @@ install-exec-local:
+@@ -1010,7 +1014,7 @@
  	$(mkinstalldirs) $(DESTDIR)$(cgibindir)
  	test -w $(DESTDIR)$(cgibindir) || exit 0; \
  		$(INSTALL_PROGRAM) sqwebmail/sqwebmail \
Index: patches/patch-ad
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/patches/patch-ad,v
retrieving revision 1.10
diff -u -r1.10 patch-ad
--- patches/patch-ad	15 Oct 2007 15:38:52 -0000	1.10
+++ patches/patch-ad	15 Mar 2010 16:48:52 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ad,v 1.10 2007/10/15 15:38:52 jlam Exp $
 
---- sqwebmail/Makefile.in.orig	Sat Sep 29 14:53:23 2007
-+++ sqwebmail/Makefile.in
-@@ -1012,7 +1012,7 @@ install-perms-local: install-perms-cache
+--- sqwebmail/Makefile.in.orig	2009-12-25 22:05:22.000000000 +0000
++++ sqwebmail/Makefile.in	2010-03-15 16:18:41.000000000 +0000
+@@ -1143,7 +1143,7 @@
  
  htmllibdir.h: config.status
  	echo '#define HTMLLIBDIR "@htmldir@"' >htmllibdir.h
@@ -11,7 +11,7 @@
  	echo '#define CALENDARMODE "$(sysconfdir)/calendarmode"' >>htmllibdir.h
  	echo '#define LOGINDOMAINLIST "$(sysconfdir)/logindomainlist"' >>htmllibdir.h
  	echo '#define MAXMSGSIZE @MAXMSGSIZE@' >>htmllibdir.h
-@@ -1020,7 +1020,7 @@ htmllibdir.h: config.status
+@@ -1151,7 +1151,7 @@
  	echo '#define SOCKDIR "$(localstatedir)"' >>htmllibdir.h
  	echo '#define SHAREDINDEXFILE "$(sysconfdir)/shared/index"' >>htmllibdir.h
  	echo '#define SQWEBPASSWD "$(pkglibexecdir)/sqwebpasswd"' >>htmllibdir.h
@@ -20,7 +20,7 @@
  		; then \
  		echo '#define HOSTNAMEFILE "$(sysconfdir)/defaultdomain"' >>htmllibdir.h \
  		; echo '#define MAKEMIME "$(bindir)/makemime"' >>htmllibdir.h \
-@@ -1057,9 +1057,6 @@ install-perms-cache:
+@@ -1188,9 +1188,6 @@
  	@echo "@cachedir@ 700 @cacheowner@ bin" >>permissions.dat
  
  cache-reminder:
Index: patches/patch-ah
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/patches/patch-ah,v
retrieving revision 1.6
diff -u -r1.6 patch-ah
--- patches/patch-ah	15 Oct 2007 15:38:52 -0000	1.6
+++ patches/patch-ah	15 Mar 2010 16:48:52 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ah,v 1.6 2007/10/15 15:38:52 jlam Exp $
 
---- sqwebmail/configure.orig	Sat Sep 29 14:53:22 2007
-+++ sqwebmail/configure
-@@ -19893,7 +19893,7 @@ fi
+--- sqwebmail/configure.orig	2009-12-25 22:05:22.000000000 +0000
++++ sqwebmail/configure	2010-03-15 16:18:41.000000000 +0000
+@@ -12502,7 +12502,7 @@
  
  
  
Index: patches/patch-ai
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/patches/patch-ai,v
retrieving revision 1.3
diff -u -r1.3 patch-ai
--- patches/patch-ai	11 Aug 2005 00:03:51 -0000	1.3
+++ patches/patch-ai	15 Mar 2010 16:48:52 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ai,v 1.3 2005/08/11 00:03:51 jlam Exp $
 
---- sqwebmaild.rc.in.orig	2005-07-05 08:37:46.000000000 -0400
-+++ sqwebmaild.rc.in
-@@ -28,7 +28,7 @@ startpcp() {
+--- sqwebmaild.rc.in.orig	2005-07-05 13:37:46.000000000 +0100
++++ sqwebmaild.rc.in	2010-03-15 16:18:41.000000000 +0000
+@@ -28,7 +28,7 @@
  		libexecdir=${libexecdir} ;
  		. @sysconfdir@/sqwebmaild ; \
  		@courierlogger@ -pid=${PIDFILE}.pcp $LOGGEROPTS -start \
@@ -11,7 +11,7 @@
  		;;
  	*)
  		;;
-@@ -46,7 +46,7 @@ start)
+@@ -46,7 +46,7 @@
  		libexecdir=${libexecdir} ;
  		. @sysconfdir@/sqwebmaild ; \
  		@courierlogger@ -pid=${PIDFILE} $LOGGEROPTS -start \
Index: patches/patch-aj
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/patches/patch-aj,v
retrieving revision 1.7
diff -u -r1.7 patch-aj
--- patches/patch-aj	15 Oct 2007 15:38:52 -0000	1.7
+++ patches/patch-aj	15 Mar 2010 16:48:52 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-aj,v 1.7 2007/10/15 15:38:52 jlam Exp $
 
---- INSTALL.html.orig	Mon Sep  3 16:05:20 2007
-+++ INSTALL.html
-@@ -809,7 +809,7 @@ BrowserMatch "MSIE" nokeepalive downgrad
+--- INSTALL.html.orig	2009-11-14 22:10:43.000000000 +0000
++++ INSTALL.html	2010-03-15 16:18:41.000000000 +0000
+@@ -820,7 +820,7 @@
    configuration files are installed in
    <code>/usr/lib/sqwebmail</code> (the default).</p>
  
Index: patches/patch-am
===================================================================
RCS file: /cvsroot/pkgsrc/mail/sqwebmail/patches/patch-am,v
retrieving revision 1.2
diff -u -r1.2 patch-am
--- patches/patch-am	15 Oct 2007 15:38:52 -0000	1.2
+++ patches/patch-am	15 Mar 2010 16:48:52 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-am,v 1.2 2007/10/15 15:38:52 jlam Exp $
 
---- pcp/configure.orig	Sun Jul 22 01:27:29 2007
-+++ pcp/configure
-@@ -28669,14 +28669,15 @@ LIBS="$saveLIBS"
+--- pcp/configure.orig	2009-11-22 14:45:37.000000000 +0000
++++ pcp/configure	2010-03-15 16:18:41.000000000 +0000
+@@ -21456,14 +21456,15 @@
  echo $NETLIBS >pcp.libs
  
  
@@ -19,4 +19,4 @@
 +SENDIT="$sysconfdir/sendit.sh"
  
  
- { echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+ { $as_echo "$as_me:$LINENO: checking for ANSI C header files" >&5
